RelayAPI

List immutable consent evidence for a contact

GET
/v1/contacts/{id}/consents
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Path Parameters

id*string

Contact ID

Query Parameters

cursor?string

Pagination cursor

limit?integer

Number of consent events

Range1 <= value <= 100
Default20

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/contacts/string/consents"
{  "data": [    {      "channel": "string",      "contact_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "evidence": {        "property1": null,        "property2": null      },      "id": "string",      "identifier_hash": "string",      "identifier_key_version": "string",      "identifier_masked": "string",      "jurisdiction": "string",      "occurred_at": "2019-08-24T14:15:22Z",      "policy_version": "string",      "purpose": "string",      "source": "string",      "status": "granted"    }  ],  "has_more": true,  "next_cursor": "string"}

Found something wrong? Help us improve this page.